var modules =
[
    [ "Bit compression", "group__bitcomp.html", "group__bitcomp" ],
    [ "soft, unpacked and packed bits", "group__bits.html", "group__bits" ],
    [ "Bit vectors", "group__bitvec.html", "group__bitvec" ],
    [ "Convolutional encoding and decoding routines", "group__conv.html", "group__conv" ],
    [ "Osmocom CRC routines", "group__crc.html", "group__crc" ],
    [ "General-purpose utility functions", "group__utils.html", "group__utils" ],
    [ "Finite State Machine abstraction", "group__fsm.html", "group__fsm" ],
    [ "GSMTAP", "group__gsmtap.html", "group__gsmtap" ],
    [ "Inter-Thread Queue", "group__osmo__it__q.html", "group__osmo__it__q" ],
    [ "Simple doubly linked list implementation", "group__linuxlist.html", "group__linuxlist" ],
    [ "Osmocom logging framework", "group__logging.html", "group__logging" ],
    [ "Osmocom logging internals", "group__logging__internal.html", "group__logging__internal" ],
    [ "Osmocom ringbuffer-backed logging", "group__loggingrb.html", "group__loggingrb" ],
    [ "Message buffers", "group__msgb.html", "group__msgb" ],
    [ "Osmocom primitives", "group__prim.html", "group__prim" ],
    [ "Rate counters", "group__rate__ctr.html", "group__rate__ctr" ],
    [ "Select loop abstraction", "group__select.html", "group__select" ],
    [ "Seriall Communications (HDLC)", "group__sercomm.html", "group__sercomm" ],
    [ "Utility functions to deal with serial ports", "group__serial.html", "group__serial" ],
    [ "Intra-application signals", "group__signal.html", "group__signal" ],
    [ "IP address/port utilities.", "group__sockaddr__str.html", "group__sockaddr__str" ],
    [ "Socket convenience functions", "group__socket.html", "group__socket" ],
    [ "Statistics value item", "group__osmo__stat__item.html", "group__osmo__stat__item" ],
    [ "Statistics reporting", "group__stats.html", "group__stats" ],
    [ "Osmocom ringbuffers for log strings", "group__osmo__strrb.html", "group__osmo__strrb" ],
    [ "Tnnn timer configuration", "group__Tdef.html", "group__Tdef" ],
    [ "Osmocom thread helpers", "group__thread.html", "group__thread" ],
    [ "Cumulative counter of time as rate counter.", "group__time__cc.html", "group__time__cc" ],
    [ "Osmocom timers", "group__timer.html", "group__timer" ],
    [ "Use Counter", "group__use__count.html", "group__use__count" ],
    [ "Osmocom msgb write queues", "group__write__queue.html", "group__write__queue" ],
    [ "It_q", "group__it__q.html", null ],
    [ "Netdev", "group__netdev.html", "group__netdev" ],
    [ "Netns", "group__netns.html", "group__netns" ],
    [ "Tun", "group__tun.html", "group__tun" ],
    [ "GSM A5 ciphering algorithm", "../../gsm/html/group__a5.html", "group__a5" ],
    [ "A-bis OML", "../../gsm/html/group__oml.html", "group__oml" ],
    [ "GPRS GEA3/GEA4 ciphering algorithm", "../../gsm/html/group__gea.html", "group__gea" ],
    [ "Short Message Service (SMS)", "../../gsm/html/group__sms.html", "group__sms" ],
    [ "GSM 05.02 / 3GPP TS 45.002", "../../gsm/html/group__gsm0502.html", "group__gsm0502" ],
    [ "GSM 08.08 / 3GPP TS 48.008 A Interface", "../../gsm/html/group__gsm0808.html", "group__gsm0808" ],
    [ "3GPP TS 29.205", "../../gsm/html/group__gsm29205.html", "group__gsm29205" ],
    [ "Generic Subscriber Update Protocol", "../../gsm/html/group__gsup.html", "group__gsup" ],
    [ "LAPDm implementation according to GSM TS 04.06", "../../gsm/html/group__lapdm.html", "group__lapdm" ],
    [ "Osmocom Authentication Protocol", "../../gsm/html/group__oap.html", "group__oap" ],
    [ "3GPP TS 23.032 GAD: Universal Geographical Area Description.", "../../gsm/html/group__gad.html", "group__gad" ],
    [ "3GPP TS 48.071 BSS LCS Assistance Protocol (BSSLAP).", "../../gsm/html/group__bsslap.html", "group__bsslap" ],
    [ "3GPP TS 49.031 BSSMAP-LE.", "../../gsm/html/group__bssmap__le.html", "group__bssmap__le" ],
    [ "GSM RLP (Radio Link Protocol) as used in CSD (3GPP TS 24.022)", "../../gsm/html/group__rlp.html", "group__rlp" ],
    [ "A-bis RSL", "../../gsm/html/group__rsl.html", "group__rsl" ],
    [ "TLV parser", "../../gsm/html/group__tlv.html", "group__tlv" ],
    [ "GSM/GPRS/3G Authentication", "../../gsm/html/group__auth.html", "group__auth" ],
    [ "key derivation functions", "../../gsm/html/group__kdf.html", "group__kdf" ],
    [ "Crypto", "../../gsm/html/group__crypto.html", "group__crypto" ],
    [ "Gsm0408", "../../gsm/html/group__gsm0408.html", "group__gsm0408" ],
    [ "Ipa", "../../gsm/html/group__ipa.html", "group__ipa" ],
    [ "LAPD implementation common part", "../../isdn/html/group__lapd.html", "group__lapd" ],
    [ "VTY Command", "../../vty/html/group__command.html", "group__command" ],
    [ "Configuration", "../../vty/html/group__cpu__sched__VTY.html", "group__cpu__sched__VTY" ],
    [ "Tnnn timer VTY configuration", "../../vty/html/group__Tdef__VTY.html", "group__Tdef__VTY" ],
    [ "Telnet Interface", "../../vty/html/group__telnet__interface.html", "group__telnet__interface" ],
    [ "VTY (Virtual TTY) interface", "../../vty/html/group__vty.html", "group__vty" ],
    [ "Vector", "../../vty/html/group__vector.html", "group__vector" ],
    [ "Coding", "../../coding/html/group__coding.html", "group__coding" ],
    [ "Interleaving", "../../coding/html/group__interleaving.html", "group__interleaving" ],
    [ "Mapping", "../../coding/html/group__mapping.html", "group__mapping" ],
    [ "Parity", "../../coding/html/group__parity.html", "group__parity" ],
    [ "Tables", "../../coding/html/group__tables.html", "group__tables" ],
    [ "Libgb", "../../gb/html/group__libgb.html", "group__libgb" ]
];